Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.servicedef
Interface ServiceDef

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface ServiceDef

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Service Def'. [[ TODO - add documentation here ]]

The following features are supported:

- `Cod Servizio`
- `Bindings`
- `Monitorable`
- `Diag Enabled`
- `Operations`
- `Versione`
- `Types`
- `Trace Enabled`
- `Service Type`
- `Auth Level`
- `Roles`
- `Cod Prodotto`
- `Cod Componente`
- `Annotations`

See Also:
  `ServicedefPackage.getServiceDef()`

Method Summary
`org.eclipse.emf.common.util.EList<ServiceDefAnnotation>` | `getAnnotations()` Returns the value of the 'Annotations' containment reference list.
`AuthLevelEnum` | `getAuthLevel()` Returns the value of the 'Auth Level' attribute.
`org.eclipse.emf.common.util.EList<ServiceBinding>` | `getBindings()` Returns the value of the 'Bindings' containment reference list.
`java.lang.String` | `getCodComponente()` Returns the value of the 'Cod Componente' attribute
`java.lang.String` | `getCodProdotto()` Returns the value of the 'Cod Prodotto' attribute
`java.lang.String` | `getCodServizio()` Returns the value of the 'Cod Servizio' attribute
`org.eclipse.emf.common.util.EList<Operation>` | `getOperations()` Returns the value of the 'Operations' containment reference list.
`org.eclipse.emf.common.util.EList<Role>` | `getRoles()` Returns the value of the 'Roles' containment reference list.
`SrvTypeEnum` | `getServiceType()` Returns the value of the 'Service Type' attribute.
`Types` | `getTypes()` Returns the value of the 'Types' containment reference
`java.lang.String` | `getVersione()` Returns the value of the 'Versione' attribute
`boolean` | `isDiagEnabled()` Returns the value of the 'Diag Enabled' attribute
`boolean` | `isMonitorable()` Returns the value of the 'Monitorable' attribute
`boolean` | `isTraceEnabled()` Returns the value of the 'Trace Enabled' attribute
`void` | `setAuthLevel(AuthLevelEnum value)` Sets the value of the '`Auth Level`' attribute
`void` | `setCodComponente(java.lang.String value)` Sets the value of the '`Cod Componente`' attribute
`void` | `setCodProdotto(java.lang.String value)` Sets the value of the '`Cod Prodotto`' attribute
`void` | `setCodServizio(java.lang.String value)` Sets the value of the '`Cod Servizio`' attribute
`void` | `setDiagEnabled(boolean value)` Sets the value of the '`Diag Enabled`' attribute
`void` | `setMonitorable(boolean value)` Sets the value of the '`Monitorable`' attribute
`void` | `setServiceType(SrvTypeEnum value)` Sets the value of the '`Service Type`' attribute
`void` | `setTraceEnabled(boolean value)` Sets the value of the '`Trace Enabled`' attribute
`void` | `setTypes(Types value)` Sets the value of the '`Types`' containment reference
`void` | `setVersione(java.lang.String value)` Sets the value of the '`Versione`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCodServizio

    java.lang.String getCodServizio()

  Returns the value of the 'Cod Servizio' attribute.

  If the meaning of the 'Cod Servizio' attribute isn't clear, there really should be more of a description here...

  Codice del servizio. può assumere un valore alfanumerico ed è ammesso il separatore "_".

  Returns:
    the value of the 'Cod Servizio' attribute.
  See Also:
    `setCodServizio(String)`, `ServicedefPackage.getServiceDef_CodServizio()`

### setCodServizio

    void setCodServizio(java.lang.String value)

  Sets the value of the '`Cod Servizio`' attribute.

  Parameters:
    `value` - the new value of the 'Cod Servizio' attribute.
  See Also:
    `getCodServizio()`

### getBindings

    org.eclipse.emf.common.util.EList<ServiceBinding> getBindings()

  Returns the value of the 'Bindings' containment reference list. The list contents are of type `ServiceBinding`.

  If the meaning of the 'Bindings' containment reference list isn't clear, there really should be more of a description here...

  Elenco dei binding (canali) su cui è esposto il servizio. A seconda delle cartucce di generazione saranno o meno disponibili solo alcune tipologie di binding.

  Returns:
    the value of the 'Bindings' containment reference list.
  See Also:
    `ServicedefPackage.getServiceDef_Bindings()`

### isMonitorable

    boolean isMonitorable()

  Returns the value of the 'Monitorable' attribute.

  If the meaning of the 'Monitorable' attribute isn't clear, there really should be more of a description here...

  Se valorizzato a true il servizio è predisposto per il monotoraggio. La funzione può non essere prevista per tutte le cartucce.

  Returns:
    the value of the 'Monitorable' attribute.
  See Also:
    `setMonitorable(boolean)`, `ServicedefPackage.getServiceDef_Monitorable()`

### setMonitorable

    void setMonitorable(boolean value)

  Sets the value of the '`Monitorable`' attribute.

  Parameters:
    `value` - the new value of the 'Monitorable' attribute.
  See Also:
    `isMonitorable()`

### isDiagEnabled

    boolean isDiagEnabled()

  Returns the value of the 'Diag Enabled' attribute.

  If the meaning of the 'Diag Enabled' attribute isn't clear, there really should be more of a description here...

  Se valorizzato a true il servizio è predisposto per le funzioni di diagnostica. La funzione può non essere prevista per tutte le cartucce.

  Returns:
    the value of the 'Diag Enabled' attribute.
  See Also:
    `setDiagEnabled(boolean)`, `ServicedefPackage.getServiceDef_DiagEnabled()`

### setDiagEnabled

    void setDiagEnabled(boolean value)

  Sets the value of the '`Diag Enabled`' attribute.

  Parameters:
    `value` - the new value of the 'Diag Enabled' attribute.
  See Also:
    `isDiagEnabled()`

### getOperations

    org.eclipse.emf.common.util.EList<Operation> getOperations()

  Returns the value of the 'Operations' containment reference list. The list contents are of type `Operation`.

  If the meaning of the 'Operations' containment reference list isn't clear, there really should be more of a description here...

  Elenco delle operazioni esposte dal servizio

  Returns:
    the value of the 'Operations' containment reference list.
  See Also:
    `ServicedefPackage.getServiceDef_Operations()`

### getVersione

    java.lang.String getVersione()

  Returns the value of the 'Versione' attribute.

  If the meaning of the 'Versione' attribute isn't clear, there really should be more of a description here...

  Versione dell'interfaccia di sevizio.

  Returns:
    the value of the 'Versione' attribute.
  See Also:
    `setVersione(String)`, `ServicedefPackage.getServiceDef_Versione()`

### setVersione

    void setVersione(java.lang.String value)

  Sets the value of the '`Versione`' attribute.

  Parameters:
    `value` - the new value of the 'Versione' attribute.
  See Also:
    `getVersione()`

### getTypes

    Types getTypes()

  Returns the value of the 'Types' containment reference.

  If the meaning of the 'Types' containment reference isn't clear, there really should be more of a description here...

  Elenco dei tipi (Entity ed Exception) definiti per il servizio

  Returns:
    the value of the 'Types' containment reference.
  See Also:
    `setTypes(Types)`, `ServicedefPackage.getServiceDef_Types()`

### setTypes

    void setTypes(Types value)

  Sets the value of the '`Types`' containment reference.

  Parameters:
    `value` - the new value of the 'Types' containment reference.
  See Also:
    `getTypes()`

### isTraceEnabled

    boolean isTraceEnabled()

  Returns the value of the 'Trace Enabled' attribute.

  If the meaning of the 'Trace Enabled' attribute isn't clear, there really should be more of a description here...

  Se valorizzato a true il servizio è predisposto per il tracing delle chiamate. La funzione può non essere prevista per tutte le cartucce.

  Returns:
    the value of the 'Trace Enabled' attribute.
  See Also:
    `setTraceEnabled(boolean)`, `ServicedefPackage.getServiceDef_TraceEnabled()`

### setTraceEnabled

    void setTraceEnabled(boolean value)

  Sets the value of the '`Trace Enabled`' attribute.

  Parameters:
    `value` - the new value of the 'Trace Enabled' attribute.
  See Also:
    `isTraceEnabled()`

### getServiceType

    SrvTypeEnum getServiceType()

  Returns the value of the 'Service Type' attribute. The default value is `"appl"`. The literals are from the enumeration `SrvTypeEnum`.

  If the meaning of the 'Service Type' attribute isn't clear, there really should be more of a description here...

  Tipologia di servizio. Un servizio può essere:

  - applicativo
  - di orchestrazione
  - (infrastrutturale)

  Returns:
    the value of the 'Service Type' attribute.
  See Also:
    `SrvTypeEnum`, `setServiceType(SrvTypeEnum)`, `ServicedefPackage.getServiceDef_ServiceType()`

### setServiceType

    void setServiceType(SrvTypeEnum value)

  Sets the value of the '`Service Type`' attribute.

  Parameters:
    `value` - the new value of the 'Service Type' attribute.
  See Also:
    `SrvTypeEnum`, `getServiceType()`

### getAuthLevel

    AuthLevelEnum getAuthLevel()

  Returns the value of the 'Auth Level' attribute. The default value is `"A0"`. The literals are from the enumeration `AuthLevelEnum`.

  If the meaning of the 'Auth Level' attribute isn't clear, there really should be more of a description here...

  Livello di autenticazione/autorizzazione richiesta dal servizio. Può valere:

  - A0: servizio pubblico anonimo
  - A1: il sistema fruitore del servizio si deve autenticare e viè una autorizzazione Role-Based all'utilizzo dei singoli metodi
  - A2: come A1, ma con in aggiunta la possibilità di tracciare l'utente fisico che sta utilizzando il sistema fruitore.

  Returns:
    the value of the 'Auth Level' attribute.
  See Also:
    `AuthLevelEnum`, `setAuthLevel(AuthLevelEnum)`, `ServicedefPackage.getServiceDef_AuthLevel()`

### setAuthLevel

    void setAuthLevel(AuthLevelEnum value)

  Sets the value of the '`Auth Level`' attribute.

  Parameters:
    `value` - the new value of the 'Auth Level' attribute.
  See Also:
    `AuthLevelEnum`, `getAuthLevel()`

### getRoles

    org.eclipse.emf.common.util.EList<Role> getRoles()

  Returns the value of the 'Roles' containment reference list. The list contents are of type `Role`.

  If the meaning of the 'Roles' containment reference list isn't clear, there really should be more of a description here...

  I ruoli previsti per l'autorizzazione del servizio

  Returns:
    the value of the 'Roles' containment reference list.
  See Also:
    `ServicedefPackage.getServiceDef_Roles()`

### getCodProdotto

    java.lang.String getCodProdotto()

  Returns the value of the 'Cod Prodotto' attribute. [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Cod Prodotto' attribute.
  See Also:
    `setCodProdotto(String)`, `ServicedefPackage.getServiceDef_CodProdotto()`

### setCodProdotto

    void setCodProdotto(java.lang.String value)

  Sets the value of the '`Cod Prodotto`' attribute.

  Parameters:
    `value` - the new value of the 'Cod Prodotto' attribute.
  See Also:
    `getCodProdotto()`

### getCodComponente

    java.lang.String getCodComponente()

  Returns the value of the 'Cod Componente' attribute. [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Cod Componente' attribute.
  See Also:
    `setCodComponente(String)`, `ServicedefPackage.getServiceDef_CodComponente()`

### setCodComponente

    void setCodComponente(java.lang.String value)

  Sets the value of the '`Cod Componente`' attribute.

  Parameters:
    `value` - the new value of the 'Cod Componente' attribute.
  See Also:
    `getCodComponente()`

### getAnnotations

    org.eclipse.emf.common.util.EList<ServiceDefAnnotation> getAnnotations()

  Returns the value of the 'Annotations' containment reference list. The list contents are of type `ServiceDefAnnotation`.

  If the meaning of the 'Annotations' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Annotations' containment reference list.
  See Also:
    `ServicedefPackage.getServiceDef_Annotations()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD